<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GangFormulas](./bitburner.gangformulas.md) &gt; [wantedLevelGain](./bitburner.gangformulas.wantedlevelgain.md)

## GangFormulas.wantedLevelGain() method

Calculate wanted gain per tick.

<b>Signature:</b>

```typescript
wantedLevelGain(gang: GangGenInfo, member: GangMemberInfo, task: GangTaskStats): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  gang | [GangGenInfo](./bitburner.ganggeninfo.md) | Gang info from [getGangInformation](./bitburner.gang.getganginformation.md) |
|  member | [GangMemberInfo](./bitburner.gangmemberinfo.md) | Member info from [getMemberInformation](./bitburner.gang.getmemberinformation.md) |
|  task | [GangTaskStats](./bitburner.gangtaskstats.md) | Task info from [getTaskStats](./bitburner.gang.gettaskstats.md) |

<b>Returns:</b>

number

The calculated wanted gain.

